## org.jfree.report.util
Class DataSetUtility

    java.lang.Object
      org.jfree.report.util.DataSetUtility

    public class DataSetUtility

extends java.lang.Object

Creation-Date: 17.04.2006, 11:43:04

Author:
  Thomas Morgner

Method Summary
`static java.lang.Object` `getByName(DataSet ds, java.lang.String column)`
`static java.lang.Object` `getByName(DataSet ds, java.lang.String column, java.lang.Object defaultVal)`
`static boolean` `isColumnDefined(java.lang.String name, DataSet params)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getByName

    public static java.lang.Object getByName(DataSet ds,
                                             java.lang.String column)
                                      throws DataSourceException

  Throws:
    `DataSourceException`

### getByName

    public static java.lang.Object getByName(DataSet ds,
                                             java.lang.String column,
                                             java.lang.Object defaultVal)
                                      throws DataSourceException

  Throws:
    `DataSourceException`

### isColumnDefined

    public static boolean isColumnDefined(java.lang.String name,
                                          DataSet params)
                                   throws DataSourceException

  Throws:
    `DataSourceException`